Bug 528478 - paste in eclipse dialogs will put text in files
paste in eclipse dialogs will put text in files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-12 08:52 EDT by Marius Andreiana
Modified: 2010-05-17 09:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 09:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2009-10-12 08:52:33 EDT
How reproducible: 100%


Steps to Reproduce:
1. open a file in eclipse
2. copy some text in clipboard
3. File -> new project -> general
3. paste with ctrl+v project name
  
Actual results:
pasted text appears in opened file, not in dialog field

Expected results:
work same as mouse right click -> paste, which works

Additional info:
General eclipse issue, see also Software updates -> Manage Sites -> Add -> Paste URL.
Comment 1 Alexander Kurtakov 2009-10-13 12:22:48 EDT
Can you try with http://koji.fedoraproject.org/koji/taskinfo?taskID=1743496?
It contains a number of fixes for gtk 2.18.
Comment 2 Marius Andreiana 2009-10-14 03:54:16 EDT
Unfortunately no, as I don't have rawhide/F12.

If the above is fixed for F12, it's ok to close this bug, no need for a backport as it's not a major issue.
Comment 3 Andrew Overholt 2009-10-27 12:12:02 EDT
I can't reproduce this on Fedora 11.
Comment 4 Bug Zapper 2010-04-28 06:48:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andrew Overholt 2010-05-17 09:51:26 EDT
I can't reproduce with Fedora 12 x86_64.

Note You need to log in before you can comment on or make changes to this bug.